#include "chdecl.h"
void CH_makehermes_getuses(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb13;
    case 4: goto c14;
    case 5: goto cb19;
    case 6: goto c20;
    case 7: goto cb22;
    case 8: goto c23;
    case 9: goto c33;
    case 10: goto cb39;
    case 11: goto c40;
    case 12: goto cb42;
    case 13: goto c43;
    case 14: goto c47;
    case 15: goto cb53;
    case 16: goto c54;
    case 17: goto c55;
    case 18: goto c56;
    case 19: goto c58;
    case 20: goto c67;
    case 21: goto c71;
    case 22: goto c73;
    case 23: goto c80;
    case 24: goto cb86;
    case 25: goto c87;
    case 26: goto c88;
    case 27: goto c89;
    case 28: goto c91;
    case 29: goto cb95;
    case 30: goto c96;
    case 31: goto c120;
    case 32: goto cb126;
    case 33: goto c127;
    case 34: goto c128;
    case 35: goto c129;
    case 36: goto c131;
    case 37: goto cb135;
    case 38: goto c136;
    case 39: goto c172;
    case 40: goto c176;
    case 41: goto c185;
    case 42: goto c186;
    case 43: goto c189;
    case 44: goto c191;
    case 45: goto c200;
    case 46: goto c203;
    case 47: goto c212;
    case 48: goto cb217;
    case 49: goto c218;
    case 50: goto c220;
    case 51: goto c223;
    case 52: goto c229;
    case 53: goto c231;
    case 54: goto c261;
    case 55: goto c276;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* copy 4 3.1 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = & dr_outport;
/* prog_lit 5 , 2 */
  if ((ch_returncode = che_prog_lit(DEF(5),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 6 5 , 3 */
  if ((ch_returncode = che_procedure(DEF(6),DEF(5),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* move 7 6 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7) = REF(6);
  REF(6).tsdr = & dr_bottom;
/* chs_lit 8 , " " */
  if( !chs_lit(DEF(8)," ") ) goto ch_depletion;
/* ordenum_lit 9 , 9 */
  REF(9).value.ord_enum = 9;
  REF(9).tsdr = & dr_ord_enumeration;
/* insert 8 9 */
  if ((ch_returncode = insertfunc(DEF(8),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 10 , "tokenize" */
  if( !chs_lit(DEF(10),"tokenize") ) goto ch_depletion;
  current->ip = 3;
cb13:
/* call 3.0 10 11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0),
          arguments[1] = DEF(10),
          arguments[2] = DEF(11),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* create 12 11 , 5 */
  if ((ch_returncode = che_create(DEF(12),DEF(11),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* chs_lit 13 , "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_" */
  if( !chs_lit(DEF(13),
    "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_") )
     goto ch_depletion;
/* chs_lit 14 , "" */
  if( !chs_lit(DEF(14),"") ) goto ch_depletion;
/* chs_lit 15 , "" */
  if( !chs_lit(DEF(15),"") ) goto ch_depletion;
  current->ip = 5;
cb19:
/* call 12 13 8 14 15 16 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12),
          arguments[1] = DEF(13),
          arguments[2] = DEF(8),
          arguments[3] = DEF(14),
          arguments[4] = DEF(15),
          arguments[5] = DEF(16),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c20:
/* noop */
  
/* chs_lit 17 , "tokenstrings" */
  if( !chs_lit(DEF(17),"tokenstrings") ) goto ch_depletion;
  current->ip = 7;
cb22:
/* call 3.0 17 18 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0),
          arguments[1] = DEF(17),
          arguments[2] = DEF(18),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* procedure 19 18 , 7 */
  if ((ch_returncode = che_procedure(DEF(19),DEF(18),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* move 20 19 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* prog_lit 21 , 8 */
  if ((ch_returncode = che_prog_lit(DEF(21),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 22 21 , 9 */
  if ((ch_returncode = che_procedure(DEF(22),DEF(21),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* move 23 22 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23) = REF(22);
  REF(22).tsdr = & dr_bottom;
/* new_inport 24 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).value = ch_val; REF(24).tsdr = & dr_inport;
/* connect 3.2 24 */
  if (REF(24).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(24).value.inport->refcount++;
  REF(3)DOT(2).value.outport = REF(24).value.inport;
  REF(3)DOT(2).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c33:
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 10;
cb39:
/* receive 28 24 */
  if ((ch_returncode = che_receive(DEF(28),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c40:
/* new_table 28.1 , 11 */
  if ((ch_returncode = che_new_table(DEF(28)DOT(1),QUAL(11)
    ,sched)) != Normal)  goto ch_raise_exception;
/* enum_lit 29 , 0 */
  REF(29).value.enumeration = 0;
  REF(29).tsdr = & dr_enumeration;
  current->ip = 12;
cb42:
/* call 4 28.0 29 26 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(28)DOT(0),
          arguments[2] = DEF(29),
          arguments[3] = DEF(26),
          arguments[3+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c43:
/* noop */
  
/* copy 25 26.1 */
  if((ch_returncode = (REF(26)DOT(1).tsdr->copy)(& ch_val, REF(26)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(26)DOT(1).tsdr->number];
/* new_table 27 , 13 */
  if ((ch_returncode = che_new_table(DEF(27),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
c47:
/* noop */
  
/* size 30 27 */
  REF(30).value.integer = REF(27).value.table->size;
  REF(30).tsdr = & dr_integer;
/* notequal . 30 =(0) , 58 */
  if ( REF(30).value.integer != 0 ) goto c58;
  current->ip = 15;
cb53:
/* call 7 25 31 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(25),
          arguments[2] = DEF(31),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c54:
/* call 16 31 32 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(31),
          arguments[2] = DEF(32),
          arguments[2+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c55:
/* call 20 32 33 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(20),
          arguments[1] = DEF(32),
          arguments[2] = DEF(33),
          arguments[2+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c56:
/* move 27 33 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27) = REF(33);
  REF(33).tsdr = & dr_bottom;
/* branch , 67 */
   goto c67;
c58:
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* lookup_at 34 27 =(0) */
  if ( !((ch_t = REF(27).value.table)->size) ) goto ch_notfound;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(34).value,0);
  REF(34).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 35 27 =(0) */
  if ((ch_returncode = remove_at_func(DEF(35),DEF(27),0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 36 , ":" */
  if( !chs_lit(DEF(36),":") ) goto ch_depletion;
/* equal 37 35 36 */
  REF(37).value.boolean = (eq_table(REF(35).value,REF(36).value));
  REF(37).tsdr = & dr_boolean;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* branch_false 37 , 67 */
  if ( !REF(37).value.boolean ) goto c67;
/* exit , 18 */
  ch_e = handler_type__exit; ch_val = QUAL(18); goto ch_exception;
c67:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* branch , 47 */
   goto c47;
c71:
/* endblock */
  che_endblock(sched);
c73:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* new_record 38 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val; REF(38).tsdr = & dr_record;
/* chs_lit 38.0 , "predefined" */
  if( !chs_lit(DEF(38)DOT(0),"predefined") ) goto ch_depletion;
/* chs_lit 38.1 , "definitions module" */
  if( !chs_lit(DEF(38)DOT(1),"definitions module") ) goto ch_depletion;
/* insert 28.1 38 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(38),FALSE,0)) != Normal)
     goto ch_raise_exception;
c80:
/* noop */
  
/* size 39 27 */
  REF(39).value.integer = REF(27).value.table->size;
  REF(39).tsdr = & dr_integer;
/* notequal . 39 =(0) , 91 */
  if ( REF(39).value.integer != 0 ) goto c91;
  current->ip = 24;
cb86:
/* call 7 25 40 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(25),
          arguments[2] = DEF(40),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c87:
/* call 16 40 41 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(40),
          arguments[2] = DEF(41),
          arguments[2+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c88:
/* call 20 41 42 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(20),
          arguments[1] = DEF(41),
          arguments[2] = DEF(42),
          arguments[2+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c89:
/* move 27 42 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27) = REF(42);
  REF(42).tsdr = & dr_bottom;
/* branch , 191 */
   goto c191;
c91:
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* lookup_at 43 27 =(0) */
  if ( !((ch_t = REF(27).value.table)->size) ) goto ch_notfound;
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(43).value,0);
  REF(43).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 35 27 =(0) */
  if ((ch_returncode = remove_at_func(DEF(35),DEF(27),0)) != Normal)
     goto ch_raise_exception;
  current->ip = 29;
cb95:
/* call 23 35 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(23),
          arguments[1] = DEF(35),
          arguments[1+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c96:
/* chs_lit 44 , "definitions" */
  if( !chs_lit(DEF(44),"definitions") ) goto ch_depletion;
/* equal 45 35 44 */
  REF(45).value.boolean = (eq_table(REF(35).value,REF(44).value));
  REF(45).tsdr = & dr_boolean;
/* chs_lit 46 , "process" */
  if( !chs_lit(DEF(46),"process") ) goto ch_depletion;
/* equal 47 35 46 */
  REF(47).value.boolean = (eq_table(REF(35).value,REF(46).value));
  REF(47).tsdr = & dr_boolean;
/* chs_lit 48 , "linking" */
  if( !chs_lit(DEF(48),"linking") ) goto ch_depletion;
/* equal 49 35 48 */
  REF(49).value.boolean = (eq_table(REF(35).value,REF(48).value));
  REF(49).tsdr = & dr_boolean;
/* chs_lit 50 , "using" */
  if( !chs_lit(DEF(50),"using") ) goto ch_depletion;
/* equal . 35 50 , 113 */
  if ( eq_table(REF(35).value,REF(50).value) ) goto c113;
/* select * 45 * 47 * 49 , {106,108,110} */
  if ( REF(45).value.boolean ) goto c106;
  if ( REF(47).value.boolean ) goto c108;
  if ( REF(49).value.boolean ) goto c110;
/* branch , 116 */
   goto c116;
c106:
/* exit , 20 */
  ch_e = handler_type__exit; ch_val = QUAL(20); goto ch_exception;
c108:
/* exit , 20 */
  ch_e = handler_type__exit; ch_val = QUAL(20); goto ch_exception;
c110:
/* chs_lit 51 , "process module" */
  if( !chs_lit(DEF(51),"process module") ) goto ch_depletion;
/* branch , 117 */
   goto c117;
c113:
/* chs_lit 51 , "definitions module" */
  if( !chs_lit(DEF(51),"definitions module") ) goto ch_depletion;
/* branch , 117 */
   goto c117;
c116:
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
c117:
/* block , 22 */
  if((ch_returncode = che_block(QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 52 , 83 */
  REF(52).value.ord_enum = 83;
  REF(52).tsdr = & dr_ord_enumeration;
c120:
/* noop */
  
/* size 53 27 */
  REF(53).value.integer = REF(27).value.table->size;
  REF(53).tsdr = & dr_integer;
/* notequal . 53 =(0) , 131 */
  if ( REF(53).value.integer != 0 ) goto c131;
  current->ip = 32;
cb126:
/* call 7 25 54 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(25),
          arguments[2] = DEF(54),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c127:
/* call 16 54 55 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(54),
          arguments[2] = DEF(55),
          arguments[2+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c128:
/* call 20 55 56 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(20),
          arguments[1] = DEF(55),
          arguments[2] = DEF(56),
          arguments[2+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c129:
/* move 27 56 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27) = REF(56);
  REF(56).tsdr = & dr_bottom;
/* branch , 186 */
   goto c186;
c131:
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* lookup_at 57 27 =(0) */
  if ( !((ch_t = REF(27).value.table)->size) ) goto ch_notfound;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(57).value,0);
  REF(57).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 35 27 =(0) */
  if ((ch_returncode = remove_at_func(DEF(35),DEF(27),0)) != Normal)
     goto ch_raise_exception;
  current->ip = 37;
cb135:
/* call 23 35 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(23),
          arguments[1] = DEF(35),
          arguments[1+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c136:
/* noop */
  
/* equal . 52 =(44) , 144 */
  if ( REF(52).value.ord_enum == 44 ) goto c144;
/* equal . 52 =(78) , 160 */
  if ( REF(52).value.ord_enum == 78 ) goto c160;
/* equal . 52 =(83) , 176 */
  if ( REF(52).value.ord_enum == 83 ) goto c176;
/* branch , 185 */
   goto c185;
c144:
/* noop */
  
/* lookup_at 58 35 =(0) */
  if ( !((ch_t = REF(35).value.table)->size) ) goto ch_notfound;
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(58).value,0);
  REF(58).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 59 58 */
  REF(59) = REF(58);
/* equal . 59 =(41) , 153 */
  if ( REF(59).value.ord_enum == 41 ) goto c153;
/* equal . 59 =(44) , 155 */
  if ( REF(59).value.ord_enum == 44 ) goto c155;
/* branch , 158 */
   goto c158;
c153:
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c155:
/* ordenum_lit 52 , 78 */
  REF(52).value.ord_enum = 78;
  REF(52).tsdr = & dr_ord_enumeration;
/* branch , 186 */
   goto c186;
c158:
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
c160:
/* chs_lit 60 , ")" */
  if( !chs_lit(DEF(60),")") ) goto ch_depletion;
/* equal 61 35 60 */
  REF(61).value.boolean = (eq_table(REF(35).value,REF(60).value));
  REF(61).tsdr = & dr_boolean;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* branch_false 61 , 165 */
  if ( !REF(61).value.boolean ) goto c165;
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c165:
/* new_record 62 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).value = ch_val; REF(62).tsdr = & dr_record;
/* copy 62.0 35 */
  if((ch_returncode = cp_table(& ch_val, REF(35).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(62)DOT(0).tsdr)->finalize)(REF(62)DOT(0).value,F_DISCARD,sched);
  REF(62)DOT(0).value = ch_val;
  REF(62)DOT(0).tsdr = & dr_table;
/* copy 62.1 51 */
  if((ch_returncode = cp_table(& ch_val, REF(51).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(62)DOT(1).tsdr)->finalize)(REF(62)DOT(1).value,F_DISCARD,sched);
  REF(62)DOT(1).value = ch_val;
  REF(62)DOT(1).tsdr = & dr_table;
/* block , 24 */
  if((ch_returncode = che_block(QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
/* insert 28.1 62 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(62),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c172:
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* ordenum_lit 52 , 44 */
  REF(52).value.ord_enum = 44;
  REF(52).tsdr = & dr_ord_enumeration;
/* branch , 186 */
   goto c186;
c176:
/* chs_lit 63 , "(" */
  if( !chs_lit(DEF(63),"(") ) goto ch_depletion;
/* equal 64 35 63 */
  REF(64).value.boolean = (eq_table(REF(35).value,REF(63).value));
  REF(64).tsdr = & dr_boolean;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* branch_false 64 , 183 */
  if ( !REF(64).value.boolean ) goto c183;
/* ordenum_lit 52 , 78 */
  REF(52).value.ord_enum = 78;
  REF(52).tsdr = & dr_ord_enumeration;
/* branch , 186 */
   goto c186;
c183:
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
c185:
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
c186:
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* branch , 120 */
   goto c120;
c189:
/* endblock */
  che_endblock(sched);
c191:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* branch , 80 */
   goto c80;
c200:
/* exit , 20 */
  ch_e = handler_type__exit; ch_val = QUAL(20); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 223 */
   goto c223;
c203:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 28.1 */
  (*(REF(28)DOT(1).tsdr)->finalize)(REF(28)DOT(1).value,F_DISCARD,sched);
  REF(28)DOT(1).tsdr = & dr_bottom;
/* return_exception 28 , 25 */
  if (ch_caller = do_return(REF(28).value)) {
    raise_user(QUAL(25),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(28),QUAL(25));
  REF(28).tsdr = & dr_bottom;
/* branch , 223 */
   goto c223;
c212:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
  current->ip = 48;
cb217:
/* call 26.10 , 26 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(26)DOT(10),
          arguments[0+1] = nil,& arguments[0]),QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  return;
c218:
/* return 28 */
  if (ch_caller = do_return(REF(28).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(28).value);
  REF(28).tsdr = & dr_bottom;
/* branch , 223 */
   goto c223;
c220:
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 28.1 */
  (*(REF(28)DOT(1).tsdr)->finalize)(REF(28)DOT(1).value,F_DISCARD,sched);
  REF(28)DOT(1).tsdr = & dr_bottom;
/* return_exception 28 , 25 */
  if (ch_caller = do_return(REF(28).value)) {
    raise_user(QUAL(25),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(28),QUAL(25));
  REF(28).tsdr = & dr_bottom;
c223:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* branch , 33 */
   goto c33;
c229:
/* endblock */
  che_endblock(sched);
/* branch , 261 */
   goto c261;
c231:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
c261:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c276:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
